<template>
  <v-row>
    <v-col>
      <v-list>
        <address-card
          v-for="address in addresses"
          :key="address.toString()"
          :address="address"
          deletable
        ></address-card>
      </v-list>

      <v-btn color="primary" nuxt to="/account/addresses/add">Add</v-btn>
    </v-col>
  </v-row>
</template>

<script lang="ts">
import Vue from 'vue'

export default Vue.extend({
  props: {
    addresses: {
      type: Array,
      required: true,
    },
  },
})
</script>
